Loading...
Searching...
No Matches
oval_result_criteria_node Struct Reference
OVAL » OVALRES
Collaboration diagram for oval_result_criteria_node:
[legend]

## Public Member Functions

OSCAP_API struct oval_result_criteria_node * | oval_result_criteria_node_new (struct oval_result_system *, oval_criteria_node_type_t, int, int,...)
OSCAP_API struct oval_result_criteria_node * | oval_result_criteria_node_clone (struct oval_result_system *new_system, struct oval_result_criteria_node *old_node)
OSCAP_API void | oval_result_criteria_node_free (struct oval_result_criteria_node *)
Setters
OSCAP_API void | oval_result_criteria_node_set_result (struct oval_result_criteria_node *, oval_result_t)
OSCAP_API void | oval_result_criteria_node_set_negate (struct oval_result_criteria_node *, bool)
OSCAP_API void | oval_result_criteria_node_set_applicability_check (struct oval_result_criteria_node *, bool)
OSCAP_API void | oval_result_criteria_node_set_operator (struct oval_result_criteria_node *, oval_operator_t)
OSCAP_API void | oval_result_criteria_node_add_subnode (struct oval_result_criteria_node *, struct oval_result_criteria_node *)
OSCAP_API void | oval_result_criteria_node_set_test (struct oval_result_criteria_node *, struct oval_result_test *)
OSCAP_API void | oval_result_criteria_node_set_extends (struct oval_result_criteria_node *, struct oval_result_definition *)
Getters
OSCAP_API oval_result_t | oval_result_criteria_node_eval (struct oval_result_criteria_node *)
OSCAP_API oval_result_t | oval_result_criteria_node_get_result (struct oval_result_criteria_node *)
OSCAP_API bool | oval_result_criteria_node_get_negate (struct oval_result_criteria_node *)
OSCAP_API bool | oval_result_criteria_node_get_applicability_check (struct oval_result_criteria_node *)
OSCAP_API oval_operator_t | oval_result_criteria_node_get_operator (struct oval_result_criteria_node *)
OSCAP_API struct oval_result_criteria_node_iterator * | oval_result_criteria_node_get_subnodes (struct oval_result_criteria_node *)
OSCAP_API struct oval_result_test * | oval_result_criteria_node_get_test (struct oval_result_criteria_node *)
OSCAP_API struct oval_result_definition * | oval_result_criteria_node_get_extends (struct oval_result_criteria_node *)

## Data Fields

struct oval_result_system * | sys
oval_criteria_node_type_t | type
oval_result_t | result
int | negate
int | applicability_check

The documentation for this struct was generated from the following files:

- oval_resultCriteriaNode.c
- oval_results.h